# TextBaseline enum

A horizontal line used for aligning text.

## Constants

alphabetic → const TextBaseline

  The horizontal line used to align the bottom of glyphs for alphabetic characters.

  `const TextBaseline(0)`
ideographic → const TextBaseline

  The horizontal line used to align ideographic characters.

  `const TextBaseline(1)`
values → const List<TextBaseline>

  A constant List of the values in this enum, in order of their declaration.

  `const List<TextBaseline>`

## Properties

index → int

  The integer index of this enum.

  final
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

toString() → String
  Returns a string representation of this object.
  override
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited